Page MenuHomePhabricator

Clicking 'edit' should always refetch from the server
Closed, ResolvedPublic

Description

Clicking 'edit' should always refetch from the server, to make edit conflicts less likely.

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
DannyH lowered the priority of this task from High to Normal.Aug 27 2015, 7:11 PM
DannyH added a subscriber: DannyH.
SBisson added a subscriber: SBisson.EditedSep 14 2015, 2:24 PM

Editing board description, topic titles and posts always refresh from the server.

However, clicking cancel shows the old version, not the one that was just refreshed from the server. Is it something we want to fix as part of this task, which is in our goals for the quarter? @DannyH

DannyH removed a subscriber: DannyH.Oct 5 2015, 10:47 PM

If we want to show the new content on cancel, we need yet another API request. The reason is that we can't use what we already have inside the editor, because it is the wrong format.

So... is it something we want to add?

If we want to show the new content on cancel, we need yet another API request. The reason is that we can't use what we already have inside the editor, because it is the wrong format.
So... is it something we want to add?

Not necessary in my opinion.

Catrope closed this task as Resolved.Nov 13 2015, 7:27 PM
Catrope claimed this task.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 17 2015, 5:53 PM